Skip to main content
`Ctrl`+`K`

# PetscRegisterFinalizeAll

Runs all the finalize functions set with `PetscRegisterFinalize()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRegisterFinalizeAll(void)

Not Collective unless registered functions are collective

## See Also

`PetscRegisterFinalize()`, `PetscObjectRegisterDestroyAll()`

## Level

developer

## Location

src/sys/objects/destroy.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages